adv = k_adv();
%#ok<*NASGU>
%%

reg = k_regularize(raw); 


reg_a = k_regularize(raw, [], ...
    'interpolateVia', 'linear', ...
    'regularizeTo', 'stdev1');


reg_b = k_regularize(raw, [], ...
    'relativeTol', 0.005, ...
    'independentCol', 'Ext', ...
    'splineEnds', 'zero');


reg_c = k_regularize(raw, [], ...
    'relativeTol', 0.005, ...
    'independ', 3, ...
    'spline', 'zero');

%%

reg_a = k_regularize(raw, [], ...
    'interpolateVia', 'linear', ...
    'regularizeTo', 'stdev1');

reg_a = k_regularize(raw, [], ...
    adv.k_regularize.interpolateVia.linear, ...
    'regularizeTo', 'stdev1');